Bug 1717516 - kernel-rt: update to the RHEL8.0.z batch#2 source tree
Summary: kernel-rt: update to the RHEL8.0.z batch#2 source tree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: kernel-rt
Version: 8.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Clark Williams
QA Contact: Chang Yin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 16:29 UTC by Beth Uptagrafft
Modified: 2019-11-27 08:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 11:02:15 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1971 None None None 2019-07-30 11:02:37 UTC

Description Beth Uptagrafft 2019-06-05 16:29:24 UTC
The kernel-rt sources need updating to include the RHEL8.0.z batch#2 source tree.

Comment 3 Clark Williams 2019-06-25 01:25:53 UTC
30 minute run of rteval on kernel-rt-4.18.0-80.7.1.rt9.153.el8_0.x86_64

  ===================================================================
   rteval (v2.14) report
  -------------------------------------------------------------------
   Test run:     2019-06-24 17:17:48
   Run time:     0 days 0h 30m 6s


   Tested node:  realtime-02.khw.lab.eng.bos.redhat.com
   Model:        HP - ProLiant DL380 Gen9
   BIOS version: HP (ver: P89, rev :1.50, release date: 07/20/2015)

   CPU cores:    20 (online: 20)
   NUMA Nodes:   2
   Memory:       31875.867 MB
   Kernel:       4.18.0-80.7.1.rt9.153.el8_0.x86_64  (RT enabled)
   Base OS:      Red Hat Enterprise Linux release 8.1 Beta (Ootpa)
   Architecture: x86_64
   Clocksource:  tsc
   Available:    tsc hpet acpi_pm 

   System load:
       Load average: 12.618

       Executed loads:
         - kcompile: numactl --cpunodebind 0 make O=/root/rteval-build/node0 -C /root/rteval-build/linux-4.9 -j20 bzImage modules; numactl --cpunodebind 1 make O=/root/rteval-build/node1 -C /root/rteval-build/linux-4.9 -j20 bzImage modules;

 Cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-4.18.0-80.7.1.rt9.153.el8_0.x86_64 root=/dev/mapper/rhel_realtime--02-root ro crashkernel=auto resume=/dev/mapper/rhel_realtime--02-swap rd.lvm.lv=rhel_realtime-02/root rd.lvm.lv=rhel_realtime-02/swap console=ttyS1,115200n81

   Measurement profile 1: With loads, measurements in parallel
       Latency test
          Started: 2019-06-24 17:19:13.373774
          Stopped: 2019-06-24 17:49:15.266373
          Command: cyclictest  -qmu -h 2000 -p95 -t19 -a0-18

          System:  
          Statistics: 
            Samples:           34235035
            Mean:              2.4430781215792536us
            Median:            2us
            Mode:              2us
            Range:             21us
            Min:               2us
            Max:               23us
            Mean Absolute Dev: 0.6941205705200956us
            Std.dev:           1.0103436289258327us

Comment 6 Clark Williams 2019-07-27 21:07:58 UTC
30 minute run of rteval on kernel-rt-4.18.0-80.7.2.rt9.154.el8_0


 ===================================================================
   rteval (v2.14) report
  -------------------------------------------------------------------
   Test run:     2019-07-26 17:58:02
   Run time:     0 days 0h 30m 7s


   Tested node:  realtime-02.khw.lab.eng.bos.redhat.com
   Model:        HP - ProLiant DL380 Gen9
   BIOS version: HP (ver: P89, rev :1.50, release date: 07/20/2015)

   CPU cores:    20 (online: 20)
   NUMA Nodes:   2
   Memory:       31875.867 MB
   Kernel:       4.18.0-80.7.2.rt9.154.el8_0.x86_64  (RT enabled)
   Base OS:      Red Hat Enterprise Linux release 8.1 Beta (Ootpa)
   Architecture: x86_64
   Clocksource:  tsc
   Available:    tsc hpet acpi_pm 

   System load:
       Load average: 14.126

       Executed loads:
         - kcompile: numactl --cpunodebind 0 make O=/root/rteval-build/node0 -C /root/rteval-build/linux-4.9 -j20 bzImage modules; numactl --cpunodebind 1 mak
e O=/root/rteval-build/node1 -C /root/rteval-build/linux-4.9 -j20 bzImage modules;

 Cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-4.18.0-80.7.2.rt9.154.el8_0.x86_64 root=/dev/mapper/rhel_realtime--02-root ro crashkernel=auto resume=/dev/ma
pper/rhel_realtime--02-swap rd.lvm.lv=rhel_realtime-02/root rd.lvm.lv=rhel_realtime-02/swap console=ttyS1,115200n81

   Measurement profile 1: With loads, measurements in parallel
       Latency test
          Started: 2019-07-26 17:59:29.154292
          Stopped: 2019-07-26 18:29:31.052088
          Command: cyclictest  -qmu -h 2000 -p95 -t19 -a0-18

          System:  
          Statistics: 
            Samples:           34234952
            Mean:              2.647737289072291us
            Median:            2us
            Mode:              2us
            Range:             22us
            Min:               2us
            Max:               24us
            Mean Absolute Dev: 0.7973671019992385us
            Std.dev:           1.0716862405777456us

Comment 8 errata-xmlrpc 2019-07-30 11:02:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1971


Note You need to log in before you can comment on or make changes to this bug.